Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-openstack-nose-plugin
%global pypi_name openstack.nose_plugin

Name:           python-module-openstack-nose-plugin
Version:        0.11
Release:        alt1_2
Summary:        openstack run_tests.py style output for nosetests

License:        ASL 2.0
URL:            http://pypi.python.org/pypi/openstack.nose_plugin/0.11
Source0:        http://pypi.python.org/packages/source/o/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python-devel
BuildRequires:  python-module-setuptools
Source44: import.info
 

%description
openstack.nose_plugin provides a nose plugin that allow's nosetests output to
mimic the output of openstack's run_tests.py.

%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info



%build
%{__python} setup.py build


%install
%{__python} setup.py install --skip-build --root %{buildroot}


%files
%doc README.rst
%{python_sitelibdir_noarch}/openstack
%{python_sitelibdir_noarch}/%{pypi_name}-%{version}-py?.?.egg-info
%{python_sitelibdir_noarch}/%{pypi_name}-%{version}-py?.?-nspkg.pth

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1_2
- update to new release by fcimport

* Mon Dec 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1_1
- initial fc import

